OTB Band Math error with Processing (sextante) modeler

2014-01-10 07:45 AM - ken oz

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17924

Description

OTB Band Math used with the Processing modeler doesn't work. According to the log file (see below), it seems that the -il parameter

(input file) is not written when the otbcli_BandMath command is launched.

the log file :

--------------

@OTB execution console output

BandMath -ram 128 -exp ndvi(im1b3,im1b5)<-0.2 -out

C:\\Users\\ose\\AppData\\Local\\Temp\\processing\\48a7ca6de5804b0186e0149f28467357\\outALG0.tif

ERROR: Missing mandatory parameter: il  0

ERROR: Troubles loading parameter, please check your line argument...

This is the BandMath application.

Perform a mathematical operation on monoband images

Complete documentation: http://www.orfeo-toolbox.org/Applications/BandMath.html

Parameters: 

        -progress <boolean>        Report progress 

MISSING -il       <string list>    Input image list  (mandatory)

        -out      <string> [pixel] Output Image  [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

        -ram      <int32>          Available RAM (Mb)  (optional, on by default, default value is 128)

        -exp      <string>         Expression  (mandatory)@

Thank you

History

#1 - 2014-01-15 08:05 AM - ken oz

Apparently, this problem is only for the QGIS 2 version 64 bits...

#2 - 2014-10-04 12:16 PM - Giovanni Manghi

- Affected QGIS version set to 2.4.0

- Crashes QGIS or corrupts data set to No

- Category deleted (64)

- Project changed from 78 to QGIS Application
#3 - 2014-10-04 12:17 PM - Giovanni Manghi

- Category set to Processing/Modeller

#4 - 2016-01-13 01:30 AM - Alexander Bruy

- Status changed from Open to Feedback

Still true with latest master?

#5 - 2016-02-18 11:15 AM - Alexander Bruy

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.
